"use strict";

require("core-js/modules/es.object.define-property.js");
var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.FcrAvatar = void 0;
require("core-js/modules/es.array.concat.js");
var _slicedToArray2 = _interopRequireDefault(require("@babel/runtime/helpers/slicedToArray"));
var _react = _interopRequireDefault(require("react"));
require("./index.css");
var _helper = require("./helper");
var _jsxRuntime = require("react/jsx-runtime");
var FcrAvatar = exports.FcrAvatar = function FcrAvatar(_ref) {
  var size = _ref.size,
    textSize = _ref.textSize,
    nickName = _ref.nickName,
    icon = _ref.icon,
    backgroundColor = _ref.backgroundColor,
    onClick = _ref.onClick,
    isShowFirstLetter = _ref.isShowFirstLetter;
  var color = backgroundColor || (0, _helper.getNameColor)(nickName);
  var _splitName = (0, _helper.splitName)(nickName),
    _splitName2 = (0, _slicedToArray2["default"])(_splitName, 2),
    first = _splitName2[0],
    last = _splitName2[1];
  return /*#__PURE__*/(0, _jsxRuntime.jsx)("div", {
    onClick: onClick,
    className: "fcr-avatar",
    style: {
      width: size,
      height: size,
      background: color,
      fontSize: textSize
    },
    children: !!icon ? icon : /*#__PURE__*/(0, _jsxRuntime.jsx)("span", {
      children: isShowFirstLetter ? first : "".concat(first).concat(last)
    })
  });
};