"use strict";

require("core-js/modules/es.object.define-property.js");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.useI18n = void 0;
var useI18n = exports.useI18n = function useI18n() {
  return function (text) {
    return zhCN[text];
  };
};
var zhCN = {
  state_of_screen_sharing: '屏幕共享状态：',
  state_of_screen_sharing_started: '已开启',
  state_of_screen_sharing_stopped: '已关闭',
  state_of_screen_sharing_error: '错误',
  hello_world: '你好世界!',
  device_option_voice: '音频设置',
  device_option_video: '视频设置',
  settings: '设置',
  device_effect_preview: '效果预览',
  device_option_basic: '基础',
  device_option_background: '背景',
  device_option_beauty_filter: '特效',
  mirror: '镜像',
  device_tips_no_device: '请选择设备...',
  video_basic_settings_1: '加入会议时关闭我的视频',
  video_basic_settings_2: '加入视频会议时始终显示视频预览对话框',
  video_basic_settings_3: '隐藏非视频参会者',
  video_basic_settings_4: '画廊视图下单屏显示的最大参会者人数：',
  video_basic_settings_5: '语音激励',
  attendees_16: '16名参会者',
  attendees_25: '25名参会者',
  advance_settings: '高级',
  audio_settings_speaker: '扬声器',
  detection_of_speakers: '检测扬声器',
  detection_of_speakers_active: '暂停播放',
  detection_of_speakers_tooltip: '点击测试扬声器以确定你可以听到他人的声音',
  detection_of_speakers_tooltip_active: '如果你无法听到测试音，请更换扬声器',
  speaker_output_level: '输出级别',
  speaker_output_volume: '输出音量',
  automatic_adjustment_speaker_volume: '自动调整扬声器音量',
  audio_settings_microphone: '麦克风',
  detection_of_microphones: '检测麦克风',
  detection_of_microphones_active: '录制中',
  detection_of_microphones_tooltip: '请对者你的麦克风说话。如果你无法听到自己的声音，请更换麦克风',
  detection_of_microphones_tooltip_active: '如果你无法听到测试音，请更换扬声器',
  microphone_input_level: '输入级别',
  microphone_input_volume: '输入音量',
  automatic_adjustment_microphone_volume: '自动调整麦克风音量',
  reduce_background_noise: '降低背景噪音',
  reduce_background_noise_automation: '自动',
  reduce_background_noise_low: '低',
  reduce_background_noise_low_addition: '微弱的背景音',
  reduce_background_noise_medium: '适中',
  reduce_background_noise_medium_addition: '电脑风扇声、敲笔声',
  reduce_background_noise_high: '高',
  reduce_background_noise_high_addition: '打字声、狗叫声',
  music_and_pro_audio: '音乐和专业音频',
  music_and_pro_audio_1: '显示会议中选项以通过麦克风“打开原声”'
};